> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmaito.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Newsletter Settings

> Update newsletter settings for the active account set.



## OpenAPI

````yaml /openapi.json put /newsletter/settings
openapi: 3.0.3
info:
  title: Maito API Reference
  version: 0.1.0
  description: Supported endpoints for external Maito integrations.
servers:
  - url: https://api.getmaito.com/v1
    description: Maito Cloud
security:
  - bearerAuth: []
tags:
  - name: Newsletter
    description: Manage newsletter settings, subscribers, issues, and analytics.
  - name: Media Uploads
    description: Upload media assets for social and newsletter content.
paths:
  /newsletter/settings:
    put:
      tags:
        - Newsletter
      summary: Update Newsletter Settings
      description: Update newsletter settings for the active account set.
      operationId: updateNewsletterSettings
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateNewsletterSettingsPayload'
            example:
              newsletterName: Maito Weekly
              senderName: Maito
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NewsletterSettingsResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '422':
          $ref: '#/components/responses/ValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    UpdateNewsletterSettingsPayload:
      type: object
      properties:
        newsletterName:
          type: string
        newsletterDescription:
          type: string
          nullable: true
        publicationLogoUrl:
          type: string
          nullable: true
          format: uri
        defaultThumbnailUrl:
          type: string
          nullable: true
          format: uri
        contentTags:
          type: array
          items:
            $ref: '#/components/schemas/NewsletterContentTag'
          maxItems: 3
        widgetThemeColor:
          $ref: '#/components/schemas/NewsletterWidgetThemeColor'
        senderName:
          type: string
        senderEmail:
          type: string
          format: email
        replyToEmail:
          type: string
          nullable: true
          format: email
        publicSubscribeSlug:
          type: string
          pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
        publicSubdomain:
          type: string
          nullable: true
          pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
        physicalAddress:
          type: string
      description: Provide at least one newsletter setting.
    NewsletterSettingsResponse:
      allOf:
        - $ref: '#/components/schemas/ApiSuccess'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/NewsletterSettings'
    NewsletterContentTag:
      type: string
    NewsletterWidgetThemeColor:
      type: string
      enum:
        - black
        - blue
        - green
        - fuchsia
        - orange
        - red
    ApiSuccess:
      type: object
      required:
        - ok
        - data
      properties:
        ok:
          type: boolean
          enum:
            - true
        data: {}
    NewsletterSettings:
      type: object
      required:
        - accountSetId
        - workspaceId
        - newsletterName
        - contentTags
        - widgetThemeColor
        - senderName
        - senderEmail
        - publicNewsletterId
        - publicSubscribeSlug
        - physicalAddress
        - senderEmailStatus
        - senderEmailDnsRecords
        - status
        - createdAt
        - updatedAt
      properties:
        accountSetId:
          type: string
          format: uuid
        workspaceId:
          type: string
        newsletterName:
          type: string
        newsletterDescription:
          type: string
          nullable: true
        publicationLogoUrl:
          type: string
          nullable: true
          format: uri
        defaultThumbnailUrl:
          type: string
          nullable: true
          format: uri
        contentTags:
          type: array
          items:
            $ref: '#/components/schemas/NewsletterContentTag'
          maxItems: 3
        widgetThemeColor:
          $ref: '#/components/schemas/NewsletterWidgetThemeColor'
        senderName:
          type: string
        senderEmail:
          type: string
          format: email
        replyToEmail:
          type: string
          nullable: true
          format: email
        publicNewsletterId:
          type: string
        publicSubscribeSlug:
          type: string
          pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
        publicSubdomain:
          type: string
          nullable: true
          pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
        physicalAddress:
          type: string
        senderEmailStatus:
          $ref: '#/components/schemas/NewsletterSenderStatus'
        senderEmailVerificationType:
          type: string
          nullable: true
        senderEmailVerificationRequestedAt:
          type: string
          nullable: true
        senderEmailVerificationCheckedAt:
          type: string
          nullable: true
        senderEmailVerifiedAt:
          type: string
          nullable: true
        senderEmailVerificationError:
          type: string
          nullable: true
        senderEmailDnsRecords:
          type: array
          items:
            $ref: '#/components/schemas/NewsletterSenderDnsRecord'
        status:
          $ref: '#/components/schemas/NewsletterSettingsStatus'
        createdAt:
          type: string
        updatedAt:
          type: string
    ErrorResponse:
      type: object
      required:
        - ok
        - error
      properties:
        ok:
          type: boolean
          enum:
            - false
        error:
          type: object
          required:
            - code
            - message
          properties:
            code:
              type: string
            message:
              type: string
            details: {}
          additionalProperties: true
    NewsletterSenderStatus:
      type: string
      enum:
        - unverified
        - pending
        - verified
        - failed
    NewsletterSenderDnsRecord:
      type: object
      required:
        - type
        - name
        - value
      properties:
        type:
          type: string
          enum:
            - CNAME
            - TXT
            - MX
        name:
          type: string
        value:
          type: string
    NewsletterSettingsStatus:
      type: string
      enum:
        - active
        - disabled
  responses:
    Unauthorized:
      description: The API key is missing or invalid.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            ok: false
            error:
              code: UNAUTHORIZED
              message: Authentication required.
    ValidationError:
      description: The request failed validation.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            ok: false
            error:
              code: VALIDATION_ERROR
              message: Invalid document query.
              details: []
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: your-api-key

````